
QGIS Application - Bug report #19131

QGIS crashed while I was creating a new grass location

2018-06-07 10:14 AM - Abel García

Status: Closed

Priority: Normal

Assignee:

Category: GRASS

Affected QGIS version:3.0.3 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: duplicate

Crashes QGIS or corrupts data:No Copied to github as #: 26961

Description

Hello:

I was creating a new grass location when QGIS crashed.

The bug report was:

Crash ID: 868f82e458e5c3561531c83f6294d8a895988277

Stack Trace

RtlRaiseStatus :

RtlIsDosDeviceName_U :

longjmp :

G_fatal_error :

G_getenv :

read_datum_table :

GPJ_osr_to_grass :

GPJ_wkt_to_grass :

version :

version :

QMetaObject::activate :

QWizard::subTitleFormat :

QWizard::next :

QMetaObject::activate :

QAbstractButton::clicked :

QAbstractButton::click :

QAbstractButton::mouseReleaseEvent :

QWidget::event :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :

QApplicationPrivate::sendMouseEvent :

QSizePolicy::QSizePolicy :

QSizePolicy::QSizePolicy :

QApplicationPrivate::notify_helper :

QApplication::notify :

QgsApplication::notify :

QCoreApplication::notifyInternal2 :
QGuiApplicationPrivate::processMouseEvent :

QWindowSystemInterface::sendWindowSystemEvents :

QEventDispatcherWin32::processEvents :

TranslateMessageEx :

TranslateMessage :

QEventDispatcherWin32::processEvents :

qt_plugin_query_metadata :

QEventLoop::exec :

QCoreApplication::exec :

main :

BaseThreadInitThunk :

RtlUserThreadStart :

QGIS Info

QGIS Version: 3.0.3-Girona

QGIS code revision: commit:8a899c8758

Compiled against Qt: 5.9.2

Running against Qt: 5.9.2

Compiled against GDAL: 2.2.4

Running against GDAL: 2.2.4

System Info

CPU Type: x86_64

Kernel Type: winnt

Kernel Version: 6.1.7601

Thanks.

Related issues:

Duplicated by QGIS Application - Bug report # 19677: Qgis crashes on opening ... Closed 2018-08-23

Duplicated by QGIS Application - Bug report # 20327: Grass crashes when try t... Open 2018-11-02

History

#1 - 2018-11-11 02:00 PM - Jürgen Fischer

- Duplicated by Bug report #19677: Qgis crashes on opening new grass mapset using the grass plugin added

#2 - 2018-11-11 02:01 PM - Jürgen Fischer

- Resolution set to duplicate

- Status changed from Open to Closed

#3 - 2018-11-11 02:06 PM - Jürgen Fischer

- Duplicated by Bug report #20327: Grass crashes when try to create mapset added
